# Custom Objects Custom Objects ## Gets all of the custom objects in the system. - [GET /customObjects/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-objects/listcustomobjects.md): This method will scan all custom objects and and return them to the caller. ## Creates a new custom object record that does not already exist. - [POST /customObjects/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-objects/createcustomobject.md): This method will auto-generate an ID and create a new custom object. If an ID is specified for the custom object, an error will be thrown. ## Returns a custom object from the system by its ID. - [DELETE /customObjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-objects/deletecustomobject.md): This method will delete a custom object with the specified ID. ## Returns a custom object from the system by its ID. - [GET /customObjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-objects/getcustomobject.md): This method will look up a custom object by the specified ID and return it back. ## Partially updates a custom object with the specified ID. - [PATCH /customObjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-objects/patchcustomobject.md): This method will patch an existing custom object with the specified ID, using the HTTP PATCH specification. ## Updates a custom object with the specified ID. - [PUT /customObjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-objects/updatecustomobject.md): This method will update an existing custom object with the specified ID.